Summary:	Lincity - A City Simulation Game
Name:		lincity-ng
Version:	2.13.1
Release:	%mkrel 1
License:	GPLv2+
Group:		Games/Strategy
# http://lincity-ng.berlios.de/
URL:		https://github.com/lincity-ng/lincity-ng
Source:		https://github.com/lincity-ng/lincity-ng/releases/download/%{name}-%{version}/%{name}-%{version}-Source.tar.xz
Patch0:		lincity-ng-mga-fix-data-games-dir.patch
BuildRequires:	cmake
BuildRequires:	pkgconfig(zlib)
BuildRequires:	pkgconfig(libgcrypt)
BuildRequires:	pkgconfig(liblzma)
BuildRequires:	pkgconfig(libxml++-5.0)
BuildRequires:	pkgconfig(libxml-2.0)
BuildRequires:	pkgconfig(libxslt)
BuildRequires:	mesagl-devel
BuildRequires:	pkgconfig(sdl2)
BuildRequires:	pkgconfig(SDL2_mixer)
BuildRequires:	pkgconfig(SDL2_image)
BuildRequires:	pkgconfig(SDL2_ttf)
BuildRequires:	pkgconfig(SDL2_gfx)
BuildRequires:	pkgconfig(physfs)
# for compress .wav files
BuildRequires:	vorbis-tools

Requires:	fonts-ttf-dejavu
Provides:	lincity

%description
Lincity is a city simulation game. Build your city up from a primitive village
to an advanced civilization.  Build a sustainable economy, or build rockets to
escape from a pollution ridden and resource starved planet.

LinCity-NG is a polished and improved version of the classic LinCity game with
a new iso-3D graphics engine, with a completely redone and modern GUI.

%prep
%autosetup -p1 -n %{name}-%{version}-Source

sed -i 's|-unknown)|-%{release})|' CMakeLists.txt

%build
# NOTE shared libs should absolutely set to OFF
%cmake -DCMAKE_INSTALL_BINDIR=%{_gamesbindir} \
       -DCMAKE_INSTALL_APPDATADIR=%{_gamesdatadir}/%{name} \
       -DCMAKE_INSTALL_MANDIR=%{_mandir}/man6 \
       -DFULL_PROJECT_VERSION=%{version}-%{release} \
       -DBUILD_SHARED_LIBS:BOOL=OFF \
       -DCMAKE_POSITION_INDEPENDENT_CODE:BOOL=ON
%cmake_build

%install
%cmake_install

# Make a symlink to system font, rather than include a copy of DejaVu Sans
ln -fs %{_datadir}/fonts/TTF/dejavu/DejaVuSans.ttf %{buildroot}%{_gamesdatadir}/%{name}/fonts/sans.ttf

# clean-up of duplicate and unneeded files
rm -rf %{buildroot}%{_docdir}/%{name}/COPYING*
rm -rf %{buildroot}%{_gamesdatadir}/%{name}/lincity-ng.desktop
rm -rf %{buildroot}%{_gamesdatadir}/%{name}/lincity-ng.png
rm -rf %{buildroot}%{_gamesdatadir}/%{name}/README.md
rm -rf %{buildroot}%{_gamesdatadir}/%{name}/RELNOTES
rm -rf %{buildroot}%{_gamesdatadir}/%{name}/images/tiles/extend.sh

%files
%doc CHANGELOG.md CONTRIBUTING.md README.md doc/*.xml
%license COPYING*
%{_gamesbindir}/%{name}
%{_iconsdir}/hicolor/*/apps/%{name}.png
%{_datadir}/applications/%{name}.desktop
%{_gamesdatadir}/%{name}/
%{_mandir}/man6/lincity-ng.6.xz


%changelog
* Fri Apr 04 2025 daviddavid <daviddavid> 2.13.1-1.mga10
+ Revision: 2173363
- new version: 2.13.1

* Sun Mar 16 2025 wally <wally> 2.12.0-2.mga10
+ Revision: 2164932
- rebuild for libxml2 2.13.6

* Mon Dec 02 2024 daviddavid <daviddavid> 2.12.0-1.mga10
+ Revision: 2120619
- new version: 2.12.0

* Thu Aug 08 2024 daviddavid <daviddavid> 2.11.1-1.mga10
+ Revision: 2084169
- new version: 2.11.1

* Fri Jun 28 2024 daviddavid <daviddavid> 2.11.0-1.mga10
+ Revision: 2077488
- new version: 2.11.0

* Fri May 17 2024 daviddavid <daviddavid> 2.10.2-1.mga10
+ Revision: 2064684
- new version: 2.10.2 (from new project at https://github.com/lincity-ng/lincity-ng)
- switch to sdl2 and cmake build system

* Fri Apr 01 2022 umeabot <umeabot> 2.9-0.beta.13.mga9
+ Revision: 1839835
- Mageia 9 Mass Rebuild

* Sun Jun 28 2020 joequant <joequant> 2.9-0.beta.12.mga8
+ Revision: 1599969
- remove arm workaround

* Fri Feb 14 2020 umeabot <umeabot> 2.9-0.beta.11.mga8
+ Revision: 1521543
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Fri Dec 28 2018 luigiwalser <luigiwalser> 2.9-0.beta.10.mga7
+ Revision: 1345724
- rebuild for SDL_gfx

* Sun Sep 23 2018 umeabot <umeabot> 2.9-0.beta.9.mga7
+ Revision: 1299306
- Mageia 7 Mass Rebuild

* Fri Jul 20 2018 wally <wally> 2.9-0.beta.8.mga7
+ Revision: 1244419
- fix build on aarch64

* Fri Apr 22 2016 daviddavid <daviddavid> 2.9-0.beta.7.mga6
+ Revision: 1004700
- replace BR libphysfs-devel to pkgconfig(physfs) thus fixing build

* Fri Feb 12 2016 umeabot <umeabot> 2.9-0.beta.6.mga6
+ Revision: 956039
- Mageia 6 Mass Rebuild

* Tue Oct 20 2015 daviddavid <daviddavid> 2.9-0.beta.5.mga6
+ Revision: 892978
- remove empty lang files to fix build with latest rpm

* Wed Oct 15 2014 umeabot <umeabot> 2.9-0.beta.4.mga5
+ Revision: 741018
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 2.9-0.beta.3.mga5
+ Revision: 681942
- Mageia 5 Mass Rebuild

* Sat Feb 15 2014 luigiwalser <luigiwalser> 2.9-0.beta.2.mga5
+ Revision: 591733
- rebuild for SDL_gfx

* Tue Feb 11 2014 dams <dams> 2.9-0.beta.1.mga5
+ Revision: 589459
- new version 2.9beta

* Sat Oct 19 2013 umeabot <umeabot> 2.1-0.2.svn1712.mga4
+ Revision: 533634
- Mageia 4 Mass Rebuild

* Mon Sep 02 2013 joequant <joequant> 2.1-0.1.svn1712.mga4
+ Revision: 474236
- update xsl patch

* Sat Aug 31 2013 wally <wally> 2.0-9.svn1712.1.mga4
+ Revision: 473680
- fix release tag (add part we can bump)

* Sat Aug 31 2013 joequant <joequant> 2.0-9.svn1712.mga4
+ Revision: 473619
- update to latest

* Sat Jan 12 2013 umeabot <umeabot> 2.0-8.mga3
+ Revision: 358798
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Jan 11 2013 fwang <fwang> 2.0-7.mga3
+ Revision: 345445
- rebuild for new SDL_gfx
+ malo <malo>
- fix RPM group

* Thu Sep 29 2011 fwang <fwang> 2.0-6.mga3
+ Revision: 150170
- tighten br

* Sat Jul 09 2011 stormi <stormi> 2.0-5.mga2
+ Revision: 121424
- increase release so that it's higher to the one in mageia 1

* Tue Jan 11 2011 supp <supp> 2.0-4.mga2
+ Revision: 6434
- imported package lincity-ng


* Fri Dec 03 2010 Tomas Kindl <supp@mandriva.org> 2.0-4mdv2011.0
+ Revision: 606561
- rebuild

  + Thomas Backlund <tmb@mandriva.org>
    - fix missing space in Comment

* Sun Sep 27 2009 Funda Wang <fwang@mandriva.org> 2.0-3mdv2010.0
+ Revision: 449971
- rebuild for new SDL_gfx

* Wed May 13 2009 Samuel Verschelde <stormi@mandriva.org> 2.0-2mdv2010.0
+ Revision: 375063
- Change package group to Games/Other (fixes #49516)

* Tue Jan 27 2009 Funda Wang <fwang@mandriva.org> 2.0-1mdv2009.1
+ Revision: 334015
- fix str fmt
- New version 2.0

  + Oden Eriksson <oeriksson@mandriva.com>
    - lowercase ImageMagick

  + Pixel <pixel@mandriva.com>
    - rpm filetriggers deprecates update_menus/update_scrollkeeper/update_mime_database/update_icon_cache/update_desktop_database/post_install_gconf_schemas

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request
    - buildrequires X11-devel instead of XFree86-devel

* Tue Nov 06 2007 Funda Wang <fwang@mandriva.org> 1.1.2-1mdv2008.1
+ Revision: 106275
- fix desktop file
- New version 1.1.2

* Mon Aug 20 2007 Funda Wang <fwang@mandriva.org> 1.1.1-1mdv2008.0
+ Revision: 67195
- remove old doc files
- move common files into common dir rather games dir
- New version 1.1.1


* Thu Feb 22 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 1.1.0-1mdv2007.0
+ Revision: 124728
- new version

* Wed Dec 20 2006 Götz Waschk <waschk@mandriva.org> 1.0.3-5mdv2007.1
+ Revision: 100703
- Import lincity-ng

* Wed Dec 20 2006 Götz Waschk <waschk@mandriva.org> 1.0.3-5
- Rebuild

* Wed Sep 13 2006 Emmanuel Andry <eandry@mandriva.org> 1.0.3-4mdv2007.0
- Game category repeated twice in desktop file (bug #25177)
- buildrequires desktop-file-utils

* Mon Aug 14 2006 Emmanuel Andry <eandry@mandriva.org> 1.0.3-3mdv2007.0
- rebuild

* Tue Aug 01 2006 Emmanuel Andry <eandry@mandriva.org> 1.0.3-2mdv2007.0
- xdg menu
- fix buildrequires

* Thu May 04 2006 Emmanuel Andry <eandry@free.fr> 1.0.3-1mdk
- New release 1.0.3

* Mon Jan 16 2006 Michael Scherer <misc@mandriva.org> 1.0.2-1mdk
- New release 1.0.2, thanks to Emmanuel Andry <eandry@free.fr> for testing
  and reporting

* Fri Aug 12 2005 Austin Acton <austin@mandriva.org> 1.0.1-1mdk
- move to lincity-ng, obsolete lincity
- source URL
- new URL
- convert icon on-the-fly

* Tue Aug 09 2005 Per Øyvind Karlsen <pkarlsen@mandriva.com> 1.12.1-2mdk
- fix %%{Summary} macro
- build with svga and gzip support
- %%mkrel
- convert icons to png
- move data to %%{_gamesdatadir}
- no .bz2 ending for man page
- clean out suckage!

* Fri Mar 11 2005 Austin Acton <austin@mandrake.org> 1.12.1-1mdk
- configure 2.5
- from Emmanuel Andry <eandry@free.fr> :
  - New release
  - Updated buildrequires
  - Updated menu
  - New source for icons (taken from 1.12-0.pre55)

